Error cuando corro los tests y/o specs al incorporar el plug

Hola,

¿alguien ha usado el plugin secure_actions o el plugin ssl_requirements?

Estoy empezando a hacer pruebas con ambos, pero tengo el siguiente
problema, una vez instalado el plugin (con cualquiera tengo el mismo
comportamiento), e incluido el módulo respectivo en el application
controller:

class ApplicationController < ActionController::Base
include ExceptionNotifiable
include AuthenticatedSystem
include SecureActions

y sin modificar más nada, cada vez que corro los specs o los tests
obtengo un error de

uninitialized constant ApplicationController::SecureActions (NameError)
from
/home/edgar/sandboxes/sugarstats/config/…/app/controllers/application.rb:4

(el error completo está aqui http://pastie.caboo.se/71076)

sin embargo si arranco la aplicación está funciona bien (sin error)

probando me di cuenta que si en el application controller hago un:
require ‘secure_actions’

los tests y specs corren bien

¿alguna idea?


Edgar González González
E-mail: [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs